## Index

### Classes

- TensorScriptModelInterface

### Interfaces

- NestedArray
- TensorScriptContext
- TensorScriptLSTMModelContext
- TensorScriptModelContext

### Type aliases

- Calculation
- DenseLayer
- EpochLog
- InputTextArray
- Matrix
- PredictionOptions
- Shape
- TensorScriptLayers
- TensorScriptOptions
- TensorScriptProperties
- TensorScriptSavedLayers
- Vector

## Type aliases

### Calculation

Calculation: { data: () => Promise<Vector> }

- Defined in src/model_interface.ts:116

#### Type declaration

- ##### data: () => Promise<Vector>

  - - (): Promise<Vector>

    - #### Returns Promise<Vector>

### DenseLayer

DenseLayer: { activation?: undefined | string; batchInputShape?: any; inputDim?: undefined | number; inputShape?: any; kernelInitializer?: undefined | string; kernelRegularizer?: any; returnSequences?: undefined | false | true; units: number }

- Defined in src/model_interface.ts:37

#### Type declaration

- ##### Optional activation?: undefined | string

- ##### Optional batchInputShape?: any

- ##### Optional inputDim?: undefined | number

- ##### Optional inputShape?: any

- ##### Optional kernelInitializer?: undefined | string

- ##### Optional kernelRegularizer?: any

- ##### Optional returnSequences?: undefined | false | true

- ##### units: number

### EpochLog

EpochLog: { loss: number }

- Defined in src/model_interface.ts:55

#### Type declaration

- ##### loss: number

### InputTextArray

InputTextArray: Array<string>

- Defined in src/model_interface.ts:107

### Matrix

Matrix: Vector[]

- Defined in src/model_interface.ts:111

### PredictionOptions

PredictionOptions: { json?: undefined | false | true; probability?: undefined | false | true; skip_matrix_check?: undefined | false | true }

- Defined in src/model_interface.ts:101

#### Type declaration

- ##### Optional json?: undefined | false | true

- ##### Optional probability?: undefined | false | true

- ##### Optional skip_matrix_check?: undefined | false | true

### Shape

Shape: Array<number> | number

- Defined in src/model_interface.ts:109

### TensorScriptLayers

TensorScriptLayers: DenseLayer[]

- Defined in src/model_interface.ts:48

### TensorScriptOptions

TensorScriptOptions: { compile?: undefined | { loss?: undefined | string; optimizer?: undefined | string }; features?: undefined | number; fit?: undefined | { batchSize?: undefined | number; callbacks?: undefined | { onBatchBegin?: undefined | ((batch: number, logs: EpochLog) => void); onBatchEnd?: undefined | ((batch: number, logs: EpochLog) => void); onEpochBegin?: undefined | ((epoch: number, logs: EpochLog) => void); onEpochEnd?: undefined | ((epoch: number, logs: EpochLog) => void); onTrainBegin?: undefined | ((logs: EpochLog) => void); onTrainEnd?: undefined | ((logs: EpochLog) => void); onYield?: undefined | ((epoch: number, batch: number, logs: EpochLog) => void) }; epochs?: undefined | number; shuffle?: undefined | false | true; validationData?: [Matrix, Matrix]; validation_data?: [Matrix, Matrix]; verbose?: undefined | number }; layerPreference?: undefined | string; layers?: TensorScriptLayers | TensorScriptSavedLayers; learningRate?: undefined | number; lookback?: undefined | number; mulitpleTimeSteps?: undefined | false | true; outputs?: undefined | number; stateful?: undefined | false | true; timeSteps?: undefined | number; type?: undefined | string }

- Defined in src/model_interface.ts:58

#### Type declaration

- ##### Optional compile?: undefined | { loss?: undefined | string; optimizer?: undefined | string }

- ##### Optional features?: undefined | number

- ##### Optional fit?: undefined | { batchSize?: undefined | number; callbacks?: undefined | { onBatchBegin?: undefined | ((batch: number, logs: EpochLog) => void); onBatchEnd?: undefined | ((batch: number, logs: EpochLog) => void); onEpochBegin?: undefined | ((epoch: number, logs: EpochLog) => void); onEpochEnd?: undefined | ((epoch: number, logs: EpochLog) => void); onTrainBegin?: undefined | ((logs: EpochLog) => void); onTrainEnd?: undefined | ((logs: EpochLog) => void); onYield?: undefined | ((epoch: number, batch: number, logs: EpochLog) => void) }; epochs?: undefined | number; shuffle?: undefined | false | true; validationData?: [Matrix, Matrix]; validation_data?: [Matrix, Matrix]; verbose?: undefined | number }

- ##### Optional layerPreference?: undefined | string

- ##### Optional layers?: TensorScriptLayers | TensorScriptSavedLayers

- ##### Optional learningRate?: undefined | number

- ##### Optional lookback?: undefined | number

- ##### Optional mulitpleTimeSteps?: undefined | false | true

- ##### Optional outputs?: undefined | number

- ##### Optional stateful?: undefined | false | true

- ##### Optional timeSteps?: undefined | number

- ##### Optional type?: undefined | string

### TensorScriptProperties

TensorScriptProperties: { model?: any; tf?: any }

- Defined in src/model_interface.ts:32

#### Type declaration

- ##### Optional model?: any

- ##### Optional tf?: any

### TensorScriptSavedLayers

TensorScriptSavedLayers: { denseLayers?: DenseLayer[]; lstmLayers?: DenseLayer[]; rnnLayers?: DenseLayer[] }

- Defined in src/model_interface.ts:49

#### Type declaration

- ##### Optional denseLayers?: DenseLayer[]

- ##### Optional lstmLayers?: DenseLayer[]

- ##### Optional rnnLayers?: DenseLayer[]

### Vector

Vector: number[]

- Defined in src/model_interface.ts:110